local RayUI, E, L, V, P, G = unpack(select(2, ...))

local IsAddOnLoaded = IsAddOnLoaded

if IsAddOnLoaded("ProjectAzilroka") ~= true then return end

local _G, string = _G, string

local addon = "ProjectAzilroka"

function RayUI:LoadPAProfile()
    --[[----------------------------------
	--	ProjectAzilroka - Settings
	--]]----------------------------------
	local PA = _G.ProjectAzilroka
    PA.data:SetProfile('RayUI')

    PA.db["SquareMinimapButtons"]["MoveQueue"] = false
    PA.db["SquareMinimapButtons"]["MoveMail"] = false
    PA.db["SquareMinimapButtons"]["MoveTracker"] = false

    PA.db["EnhancedShadows"]["Enable"] = false

    PA.db["BrokerLDB"]["FontFlag"] = "OUTLINE"
    PA.db["BrokerLDB"]["Font"] = "PT Sans Narrow"

    PA.db["BigButtons"]["Enable"] = true

    PA.db["EnhancedFriendsList"]["App"] = "Flat"
    PA.db["EnhancedFriendsList"]["BSAp"] = "Flat"

    PA.db["DragonOverlay"]["Enable"] = false

    PA.db["OzCooldowns"]["StatusBarTexture"] = "Kringel"
    PA.db["OzCooldowns"]["Tooltips"] = false
    PA.db["OzCooldowns"]["SuppressDuration"] = 120
    PA.db["OzCooldowns"]["StackFont"] = "PT Sans Narrow"

    PA.db["ReputationReward"]["ShowAll"] = false

    PA.db["cooldown"]["hideBlizzard"] = true
    PA.db["cooldown"]["mmssColor"] = { r = 1, g = 1, b = 0}
    PA.db["cooldown"]["mmssColor"] = { r = 1, g = 1, b = 0}
    PA.db["cooldown"]["fonts"] = {
        ["enable"] = true,
        ["font"] = "RayUI Roadway",
    }
end

local function ElvUI_PATable()
	E.Options.args.rayui.args.addons.args[addon] = {
		order = 1,
		type = "execute",
		name = addon,
		desc = string.format(L["This will create and apply profile for %s"], addon),
		buttonElvUI = true,
		func = function()
			RayUI:LoadPAProfile()
			E:StaticPopup_Show('PRIVATE_RL')
			-- RayUI:Print(profileString..addon)
		end,
		disabled = function() return not IsAddOnLoaded(addon) end,
	}
end

tinsert(RayUI.Config, ElvUI_PATable)
