local RayUI, E, _, V, P, G = unpack(select(2, ...))
local LSM = E.LSM

-- GLOBALS: RayUIData, RayUIDataPerChar, ElvDB

-- E.ShortPrefixStyles['CHINESE'] = {{1e8,'亿'}, {1e4,'万'}}

function RayUI:SetupProfileCallbacks()
	E.data.RegisterCallback(self, "OnProfileChanged", "OnProfileChanged")
	E.data.RegisterCallback(self, "OnProfileCopied", "OnProfileChanged")
	E.data.RegisterCallback(self, "OnProfileReset", "OnProfileChanged")
end

function RayUI:AddMoverCategories()
	tinsert(E.ConfigModeLayouts, #(E.ConfigModeLayouts) + 1, "RAYUI")
	E.ConfigModeLocalizedStrings["RAYUI"] = "|cff7aa6d6Ray|r|cffff0000U|r|cff7aa6d6I|r"
end

function RayUI:Initialize()
	E.db.rayui = E.db.rayui or {}
	-- self:RegisterMedia()
	-- self:LoadCommands()
	-- self:SplashScreen()
	self:AddMoverCategories()

	-- ElvUI versions check
	if RayUI.ElvUIV < RayUI.ElvUIX then
		E:StaticPopup_Show("VERSION_MISMATCH")
		return -- If ElvUI Version is outdated stop right here. So things don't get broken.
	end

	-- Create empty saved vars if they doesn't exist
	if not RayUIData then
		RayUIData = {}
	end

	if not RayUIDataPerChar then
		RayUIDataPerChar = {}
	end

	self:SetupProfileCallbacks()

	-- run the setup again when a profile gets deleted.
	local profileKey = ElvDB.profileKeys[E.myname.." - "..E.myrealm]
	if ElvDB.profileKeys and profileKey == nil then
		E:GetModule("PluginInstaller"):Queue(RayUI.installTable)
	end

	-- run install when ElvUI install finishes
	if E.private.install_complete == E.version and E.db.mui.installed and E.db.rayui.installed == nil then
		E:GetModule("PluginInstaller"):Queue(RayUI.installTable)
	end
end
