local RayUI, E, L, V, P, G = unpack(select(2, ...))

-- Cache global variables
-- Lua functions
local _G, format, select, unpack = _G, format, select, unpack
local tinsert = table.insert
-- WoW API / Variables
local IsAddOnLoaded = IsAddOnLoaded
-- GLOBALS: StaticPopup_Show

local function AddOptions()
	local ACD = _G.LibStub("AceConfigDialog-3.0-ElvUI")

	local function CreateButton(number, text, ...)
		local path = {}
		local num = select("#", ...)
		for i = 1, num do
			local name = select(i, ...)
			tinsert(path, #(path)+1, name)
		end
		local config = {
			order = number,
			type = 'execute',
			name = text,
			func = function() ACD:SelectGroup("ElvUI", "rayui", unpack(path)) end,
		}
		return config
	end

	-- Main options
	E.Options.args.rayui = {
		order = 9901,
		type = 'group',
		name = RayUI.Title,
		desc = L["Plugin for |cff1784d1ElvUI|r by\nfgprodigal(Ray)."],
		icon = "Interface\\AddOns\\ElvUI_RayUI\\Media\\Textures\\Logo",
		get = function(info) return E.db.rayui.general[ info[#info] ] end,
		set = function(info, value) E.db.rayui.general[ info[#info] ] = value; E:StaticPopup_Show("PRIVATE_RL"); end,
		args = {
			name = {
				order = 1,
				type = "header",
				name = RayUI.Title..RayUI:cOption(RayUI.Version)..L["by fgprodigal(Ray)"],
			},
			install = {
				order = 3,
				type = "execute",
				name = L["Install"],
				desc = L["Run the installation process."],
				func = function() E:GetModule("PluginInstaller"):Queue(RayUI.installTable); E:ToggleOptionsUI() end,
			},
			modulesButton = CreateButton(6, E.NewSign..L["Modules"], "modules"),
			addonButton = CreateButton(7, L["Addon Profiles"], "addons"),
			modules = {
				order = 20,
				type = "group",
				childGroups = "tab",
				name = L["Modules"],
				args = {
					info = {
						type = "description",
						order = 1,
						name = L["Here you find the options for all the different |cff7aa6d6Ray|r|cffff0000U|r|cff7aa6d6I|r modules."],
						fontSize = "medium",
					},
				},
			},
			addons = {
				order = 200,
				type = "group",
				name = L["Addon Profiles"],
				args = {
				},
			},
		},
	}
end
tinsert(RayUI.Config, AddOptions)
