local RayUI, E, _, V, P, G = unpack(select(2, ...))
local AU = RayUI:NewModule('RayUIAuction', 'AceEvent-3.0')

local _G = _G
local IsShiftKeyDown = IsShiftKeyDown
local GetAuctionItemInfo = GetAuctionItemInfo
local FauxScrollFrame_GetOffset = FauxScrollFrame_GetOffset
local PlaceAuctionBid = PlaceAuctionBid
local CancelAuction = CancelAuction

local MAX_BUYOUT_PRICE = 10000000

function AU:ADDON_LOADED(event, addon)
    if addon ~= "Blizzard_AuctionUI" then return end
    self:UnregisterEvent("ADDON_LOADED")
    for i = 1, 20 do
        local f = _G["BrowseButton"..i]
        if f then
            f:RegisterForClicks("LeftButtonUp", "RightButtonUp")
            f:HookScript("OnClick", function(self, button)
                    if button == "RightButton" and IsShiftKeyDown() then
                        local index = self:GetID() + FauxScrollFrame_GetOffset(_G.BrowseScrollFrame)
                        local name, _, _, _, _, _, _, _, _, buyoutPrice = GetAuctionItemInfo("list", index)
                        if name then
                            if buyoutPrice < MAX_BUYOUT_PRICE then
                                PlaceAuctionBid("list", index, buyoutPrice)
                            end
                        end
                    end
                end)
        end
    end
    for i = 1, 20 do
        local f = _G["AuctionsButton"..i]
        if f then
            f:RegisterForClicks("LeftButtonUp", "RightButtonUp")
            f:HookScript("OnClick", function(self, button)
                    local index = self:GetID() + FauxScrollFrame_GetOffset(_G.AuctionsScrollFrame)
                    if button == "RightButton" and IsShiftKeyDown() then
                        local name = GetAuctionItemInfo("owner", index)
                        if name then
                            CancelAuction(index)
                        end
                    end
                end)
        end
    end
end

function AU:Initialize()
    if not E.db.rayui.misc.auction then return end
    self:RegisterEvent("ADDON_LOADED")
end

RayUI:RegisterModule(AU:GetName())
